## wolf-shaper-0.1.8-1.src.tar.gz

=== Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#
# Modified by Patrick Desaulniers
#

include Makefile.mk

all: libs plugins gen

# --------------------------------------------------------------

PREFIX  ?= /usr/local
DESTDIR ?=
VST_FOLDER_NAME ?= vst

define MISSING_SUBMODULES_ERROR

Cannot find DGL! Please run "make submodules" to clone the missing submodules, then retry building the plugin.

endef

# --------------------------------------------------------------

submodules: 
	git submodule update --init --recursive

libs:
ifeq (,$(wildcard dpf/dgl))
	$(error $(MISSING_SUBMODULES_ERROR))
endif

ifeq ($(HAVE_DGL),true)
	$(MAKE) -C dpf/dgl
endif

plugins: libs
	$(MAKE) all -C plugins/wolf-shaper

gen: plugins dpf/utils/lv2_ttl_generator
	"$(CURDIR)/dpf/utils/generate-ttl.sh"
ifeq ($(MACOS),true)
	"$(CURDIR)/dpf/utils/generate-vst-bundles.sh"
endif

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator

# --------------------------------------------------------------

clean:
ifeq ($(HAVE_DGL),true)
	$(MAKE) clean -C dpf/dgl
endif
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator

	$(MAKE) clean -C plugins/wolf-shaper

# --------------------------------------------------------------

install:
	install -d $(DESTDIR)$(PREFIX)/lib/dssi/
	install -d $(DESTDIR)$(PREFIX)/lib/lv2/
	install -d "$(DESTDIR)$(PREFIX)/lib/$(VST_FOLDER_NAME)/"
	install -Dm 755 "bin/$(PLUGIN_NAME)" -t "$(DESTDIR)$(PREFIX)/bin/"
	cp bin/*-dssi.*   $(DESTDIR)$(PREFIX)/lib/dssi/
	cp bin/*-vst.*    "$(DESTDIR)$(PREFIX)/lib/$(VST_FOLDER_NAME)/"


ifeq ($(HAVE_DGL),true)
	cp -r bin/*-dssi  $(DESTDIR)$(PREFIX)/lib/dssi/
endif
	cp -r bin/*.lv2   $(DESTDIR)$(PREFIX)/lib/lv2/

# --------------------------------------------------------------

.PHONY: plugins

=== plugins/wolf-shaper/Makefile ===
#!/usr/bin/make -f
# Makefile for DISTRHO Plugins #
# ---------------------------- #
# Created by falkTX
#
# Modified by Patrick Desaulniers
#
# --------------------------------------------------------------
# Project name, used for binaries
#
# Set PLUGIN_NAME in Makefile.mk at the project's root directory
#

NAME = $(PLUGIN_NAME)

# --------------------------------------------------------------
# Plugin types to build

BUILD_LV2 ?= true
BUILD_VST2 ?= true
BUILD_JACK ?= true
BUILD_DSSI ?= true
BUILD_LADSPA ?= false

# --------------------------------------------------------------
# Files to build

OBJS_DSP = \
	Common/Utils/src/Mathf.cpp.o \
	Common/Structures/src/Graph.cpp.o \
	Common/Structures/src/Oversampler.cpp.o \
	Common/Structures/src/ParamSmooth.cpp.o \
	Libs/DSPFilters/source/Butterworth.cpp.o \
	Libs/DSPFilters/source/Biquad.cpp.o \
	Libs/DSPFilters/source/Cascade.cpp.o \
	Libs/DSPFilters/source/Filter.cpp.o \
	Libs/DSPFilters/source/Param.cpp.o \
	Libs/DSPFilters/source/Butterworth.cpp.o \
	Libs/DSPFilters/source/PoleFilter.cpp.o \
	Libs/DSPFilters/source/RBJ.cpp.o \
	Libs/DSPFilters/source/Bessel.cpp.o \
	Libs/DSPFilters/source/RootFinder.cpp.o \
	WolfShaperPlugin.cpp.o

OBJS_UI  = \
	Common/Utils/src/Mathf.cpp.o \
	Common/Structures/src/Graph.cpp.o \
	Common/Structures/src/Margin.cpp.o \
	Common/Structures/src/Animation.cpp.o \
	Common/Widgets/src/WolfWidget.cpp.o \
	Common/Widgets/src/GraphNode.cpp.o \
	Common/Widgets/src/GraphWidget.cpp.o \
	Common/Widgets/src/NanoSwitch.cpp.o \
	Common/Widgets/src/RemoveDCSwitch.cpp.o \
	Common/Widgets/src/NanoButton.cpp.o \
	Common/Widgets/src/ResetGraphButton.cpp.o \
	Common/Widgets/src/NanoWheel.cpp.o \
	Common/Widgets/src/OversampleWheel.cpp.o \
	Common/Widgets/src/NanoKnob.cpp.o \
	Common/Widgets/src/VolumeKnob.cpp.o \
	Common/Widgets/src/ResizeHandle.cpp.o \
	Common/Widgets/src/LabelBox.cpp.o \
	Common/Widgets/src/LabelBoxList.cpp.o \
	Common/Widgets/src/BipolarModeSwitch.cpp.o \
	Common/Widgets/src/LabelContainer.cpp.o \
	Common/Widgets/src/GlowingLabelsBox.cpp.o \
	Common/Widgets/src/NanoLabel.cpp.o \
	Common/Widgets/src/WidgetBar.cpp.o \
	Common/Widgets/src/ArrowButton.cpp.o \
	Common/Widgets/src/RightClickMenu.cpp.o \
	Config/src/Config.cpp.o \
	Libs/inih/ini.c.o \
	Libs/inih/INIReader.cpp.o \
	Resources/Fonts/chivo_bold.cpp.o \
	Resources/Fonts/chivo_italic.cpp.o \
	WolfShaperUI.cpp.o 

# --------------------------------------------------------------
# Do some magic

include ../Makefile.mk

# --------------------------------------------------------------
# Additional flags

ifeq ($(PARANOID_MODE),true)
BASE_FLAGS += -Wall -Wextra -Werror
endif

# --------------------------------------------------------------
# Enable all possible plugin types

ifeq ($(BUILD_JACK),true)
ifeq ($(HAVE_JACK),true)
TARGETS += jack
endif
endif

ifeq ($(BUILD_LADSPA),true)
TARGETS += ladspa
endif

ifeq ($(BUILD_DSSI),true)
ifeq ($(HAVE_DGL),true)
ifeq ($(HAVE_LIBLO),true)
TARGETS += dssi
endif
endif
endif

ifeq ($(BUILD_LV2),true)
ifeq ($(HAVE_DGL),true)
TARGETS += lv2_sep
else
TARGETS += lv2_dsp
endif
endif

ifeq ($(BUILD_VST2),true)
TARGETS += vst
endif

all: $(TARGETS)

# --------------------------------------------------------------

=== pkg/debian/changelog ===
wolf-shaper (0.1.0-1) stretch; urgency=medium

  * Initial build.

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Fri, 11 May 2018 21:12:30 +0200

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

pkgname=wolf-shaper
pkgver=0.1.8
pkgrel=1
pkgdesc="A waveshaper plugin with a graph editor"
arch=('x86_64')
url="https://github.com/pdesaulniers/wolf-shaper"
license=('GPL3')
groups=('dssi-plugins' 'lv2-plugins' 'pro-audio' 'vst-plugins')
depends=('gcc-libs' 'glibc' 'libglvnd' 'libx11')
makedepends=('dssi' 'gendesk' 'jack' 'lv2')
optdepends=('dssi-host: for DSSI plugin'
            'jack: for standalone application'
            'lv2-host: for lv2 plugin'
            'vst-host: for VST plugin')
source=("$pkgname-$pkgver.tar.gz::https://github.com/pdesaulniers/${pkgname}/releases/download/v${pkgver}/${pkgname}-v${pkgver}-source.tar.gz")
sha512sums=('d1bed1a59047340e4eab7a763ff2e29ab03ad95d74743262eefede4e34c9345351e8b6ffb9318bc2101017ea512366a18bfc0a4e40ad11ad098bd9a607590a4e')
b2sums=('713e4cf82e508b6ba781cc40d2d2f46f1221514a11e4db0eeb0f1a00509b5032d1396e25b48e7e0b8128ba843098b9923bf135fd704c559fed8f80a3453e0f09')

prepare() {
  mv -v "$pkgname" "$pkgname-$pkgver"
  cd "$pkgname-$pkgver"
  # XDG desktop file
  gendesk -n \
          --pkgname "com.github.pdesaulniers.${pkgname}" \
          --name "${pkgname}" \
          --exec "${pkgname}" \
          --pkgdesc "${pkgdesc}" \
          --genericname "Wave Shaper" \
          --categories "AudioVideo;Audio"
}

build() {
  cd "$pkgname-$pkgver"
  BUILD_VST2=true BUILD_LV2=true BUILD_DSSI=true BUILD_JACK=true make
}

package() {
  cd "$pkgname-$pkgver"
  install -vDm 755 "bin/${pkgname}" -t "${pkgdir}/usr/bin/"
  install -vDm 644 *".desktop" \
    -t "${pkgdir}/usr/share/applications"
  install -vDm 755 "bin/${pkgname}-vst.so" -t "${pkgdir}/usr/lib/vst"
  install -vDm 755 "bin/${pkgname}-dssi.so" -t "${pkgdir}/usr/lib/dssi"
  install -vDm 755 "bin/${pkgname}.lv2/"*.so \
    -t "${pkgdir}/usr/lib/lv2/${pkgname}.lv2"
  install -vDm 644 "bin/${pkgname}.lv2/"*.ttl \
    -t "${pkgdir}/usr/lib/lv2/${pkgname}.lv2"
  install -vDm 644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
}

=== pkg/debian/control ===
Source: wolf-shaper
Section: sound
Priority: optional
Maintainer: Équipe LibraZiK <librazik@tuxfamily.org>
Uploaders:
 Olivier Humbert <trebmuh@tuxfamily.org>
Build-Depends:
 debhelper (>= 9),
 dssi-dev,
 ladspa-sdk,
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libjack-jackd2-dev | libjack-dev,
 liblo-dev,
 libsamplerate0-dev,
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 lv2-dev,
 pkg-config,
Standards-Version: 3.9.8
Homepage: https://github.com/pdesaulniers/wolf-shaper

Package: wolf-shaper
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 lv2-plugins,
 vst-plugins,
 dssi-plugins,
Description: wolf-shaper plugin
 wolf-shaper is a free, cross-platform distortion plugin with a spline-based
 graph.
 .
 wolf-shaper is using the DPF framework and is available as LV2, DSSI, VST2, and
 standalone JACK-application.

=== pkg/debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_auto_build:
	BUILD_VST2=true BUILD_LV2=true BUILD_DSSI=true BUILD_JACK=true make

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== pkg/debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/wolf-shaper-$1\.tar\.gz/ \
  https://github.com/pdesaulniers/wolf-shaper/tags .*/release-?(\d\S*)\.tar\.gz
